QB_LIST_REPLACE(3)

NAME
qb_list_replace - Replace old entry by new one.

SYNOPSIS
#include <qb/qblist.h>

static void qb_list_replace(
    struct qb_list_head   *old_one,  /* the element to be replaced */
    struct qb_list_head   *new_one   /* the new element to insert */
);

PARAMS
old_one the element to be replaced

new_one the new element to insert

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

SEE ALSO

qb_list_empty(3), qb_list_add_tail(3), qb_list_add(3), qb_list_splice_tail(3), qb_list_length(3), qb_list_init(3), qb_list_splice(3), qb_list_is_last(3), qb_list_del(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.